Last Comment Bug 512187 - 1.1.18 candidate fails to connect with SSL/TLS secured sites, PSM fails to initialize
: 1.1.18 candidate fails to connect with SSL/TLS secured sites, PSM fails to in...
Status: RESOLVED FIXED
: fixed1.8.1.23
Product: SeaMonkey
Classification: Client Software
Component: Security (show other bugs)
: SeaMonkey 1.1 Branch
: x86 Windows XP
: P1 blocker (vote)
: ---
Assigned To: Frank Wein [:mcsmurf]
:
Mentors:
Depends on:
Blocks: 504523
  Show dependency treegraph
 
Reported: 2009-08-23 16:56 PDT by Uli Link (:ul-mcamafia)
Modified: 2009-08-25 06:52 PDT (History)
3 users (show)
kairo: blocking‑seamonkey1.1.18+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (771 bytes, patch)
2009-08-24 13:57 PDT, Frank Wein [:mcsmurf]
kairo: review+
dveditz: approval1.8.1.next+
Details | Diff | Splinter Review

Description Uli Link (:ul-mcamafia) 2009-08-23 16:56:04 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; de-AT; rv:1.8.1.22) Gecko/20090605 SeaMonkey/1.1.17
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; de-AT; rv:1.8.1.22) Gecko/20090605 SeaMonkey/1.1.17

The Release Candidate of Seamonkey 1.1.18 cannot login with password manager.
The password manager cannot show/administer the saved passwords.

After reinstalling 1.1.17 all works like it did ever since before.

Maybe (???) related to the version bump of NSS.

Reproducible: Always

Steps to Reproduce:
1. Deinstall v. 1.1.17
2. Install 1.1.18
3. Try to connect to website or mailbox with a password manager saved password
Actual Results:  
No connection to mailbox.

Expected Results:  
Like previous released versions.
Comment 1 Uli Link (:ul-mcamafia) 2009-08-23 17:13:35 PDT
This error message appears when I try to login into bugzilla with Seamonkey 1.1.18
instead of requesting the Master password for PSM.

This document cannot be displayed unless you install the Personal Security Manager (PSM). Download and install PSM and try again, or contact your system administrator.
Comment 2 Robert Kaiser 2009-08-24 04:56:14 PDT
Can you display https://bugzilla.mozilla.org at all with 1.1.18?

How did you install 1.1.18? From where? With the installer, with a zip?

Of course, the user agent and build identifier in your comment #0 is bogus, it's the one from 1.1.17.
Comment 3 Uli Link (:ul-mcamafia) 2009-08-24 05:21:41 PDT
I can display https://bugzilla.mozilla.org starting with a clean profile.
With my working profile the error message from comment #1 appears instead of the dialog asking for the security password, as my bugzilla account data is stored in PSM.

installed the release candidate from
"http://ftp.mozilla.org/pub/mozilla.org/seamonkey/nightly/candidates-1.1.18/seamonkey-1.1.18.en-US.win32.installer.exe"
Windows XP/SP3 with all latest patches.

The build identifier in comment #0 results from reinstalling 1.1.17 afterwards since I needed a working internet access for posting to bugzilla.

My working profile has master password set and encryption of the sensitive data enabled.
Comment 4 Robert Kaiser 2009-08-24 05:37:19 PDT
(In reply to comment #3)
> I can display https://bugzilla.mozilla.org starting with a clean profile.

OK, that's one good step. Does that also work in your working profile?

> With my working profile the error message from comment #1 appears instead of
> the dialog asking for the security password, as my bugzilla account data is
> stored in PSM.

PSM doesn't store any passwords, but it can encrypt them if you're using a master password. 

> My working profile has master password set and encryption of the sensitive data
> enabled.

OK, so PSM is used to encrypt the passwords, it's not used for storing them though ;-)

One more question on your installation: Did you uninstall 1.1.17 before installing 1.1.18 (or install 1.1.18 into a clean directory)?

And if you assign a master password in the clean profile, can passwords be stored and prefilled?
Comment 5 Uli Link (:ul-mcamafia) 2009-08-24 06:00:28 PDT
(In reply to comment #4)
> One more question on your installation: Did you uninstall 1.1.17 before
> installing 1.1.18 (or install 1.1.18 into a clean directory)?

Uninstalled 1.1.17 before installing 1.1.18 so all user settings preserved.
I usually install the language package de-AT after the installation on windows only.

> And if you assign a master password in the clean profile, can passwords be
> stored and prefilled?

At least with my AIX 5.1 build from SEAMONKEY_1_1_18_RELEASE tag which finished compilation a few minutes ago this worked. Will check on Windows later too.
Comment 6 Uli Link (:ul-mcamafia) 2009-08-24 07:20:31 PDT
Testing on a fresh Windows user account (Tested with Win2k Prof SP4, same behaviour as WinXP SP3):

- no SSL/TLS secured connections at all

- I _cannot_ connect to https://bugzilla.mozilla.org at all on a fresh profile
- I have to withdraw my comment #3 for Windows platform
  sorry for my confusion, happened while testing the first AIX build of 1.1.18.
- Seamonkey 1.1.18 (built from CVS) works on AIX 5.1 without PSM trouble
- It seems that I'm not asked for passwords because the connections fails before the PSM can recognize the html form or login into mail account via SSL secured IMAP account. In case of the mail component no error is shown. Nothing happens from users point of view.
Comment 7 Robert Kaiser 2009-08-24 11:36:31 PDT
This looks like PSM/NSS fails to initialize. We're getting more reports like that from Windows users, adjusting summary, granting blocking, moving to better component.
Comment 8 Uli Link (:ul-mcamafia) 2009-08-24 13:27:28 PDT
Thunderbird 2.0.0.23 has no problems with PSM/NSS initialization for same test cases.
Comment 9 Frank Wein [:mcsmurf] 2009-08-24 13:57:36 PDT
Created attachment 396289 [details] [diff] [review]
Patch

The original patch did not fix this installer package file. This patch was tested and works fine.
Comment 10 Robert Kaiser 2009-08-24 16:37:06 PDT
Comment on attachment 396289 [details] [diff] [review]
Patch

I would put the sqlite3.dll into the NSS section as this is the SQLite used by NSS, while the other code uses another one IIRC. But in any case, r=me
Comment 11 Daniel Veditz [:dveditz] 2009-08-24 19:06:56 PDT
Comment on attachment 396289 [details] [diff] [review]
Patch

Approved for 1.8.1.23, a=dveditz

I guess you need to check this into the relbranch and the main branch. Fine to do so.
Comment 12 Frank Wein [:mcsmurf] 2009-08-25 04:50:32 PDT
Checking in basebrowser-installer-win.pkg;
/cvsroot/mozilla/embedding/config/basebrowser-installer-win.pkg,v  <--  basebrow
ser-installer-win.pkg
new revision: 1.29.4.7; previous revision: 1.29.4.6
done
Comment 13 Robert Kaiser 2009-08-25 06:50:23 PDT
on GECKO181_20090812_RELBRANCH:

Checking in embedding/config/basebrowser-installer-win.pkg;
/cvsroot/mozilla/embedding/config/basebrowser-installer-win.pkg,v  <--  basebrowser-installer-win.pkg
new revision: 1.29.4.6.32.1; previous revision: 1.29.4.6
done

Note You need to log in before you can comment on or make changes to this bug.